BUF_LOCKINIT(9)

NAME
BUF_LOCKINIT - initializes a buffer lock

SYNOPSIS
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/uio.h>
#include <sys/bio.h>
#include <sys/buf.h>
void
BUF_LOCKINIT(struct buf *bp);

DESCRIPTION
The BUF_LOCKINIT() macro initializes a buffer lock.

Its argument is:

bp  The buffer whose lock it to be initialized.

SEE ALSO
buf(9), BUF_LOCK(9), BUF_TIMELOCK(9), BUF_UNLOCK(9), lockinit(9), lockmgr(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.